<p align="center">
  <img alt="logo" src="https://github.com/hermannm/gruvbox-plain/blob/main/vscode/img/gruvbox-plain_logo.png">
</p>
<h1 align="center">gruvbox-plain</h1>

Theme for VSCode and JetBrains IDEs, based on [morhetz/gruvbox](https://github.com/morhetz/gruvbox) but with a plainer color palette for syntax highlighting.

## Color Scheme

gruvbox-plain uses a limited subset of the gruvbox dark mode color palette for syntax highlighting. The table below shows the general usage of the different colors.

| Hex       |                          Color                           | Usage                                        |
| --------- | :------------------------------------------------------: | -------------------------------------------- |
| `#ebdbb2` | ![](https://via.placeholder.com/15/ebdbb2/000000?text=+) | Variables, properties, plain text            |
| `#fe8019` | ![](https://via.placeholder.com/15/fe8019/000000?text=+) | Keywords, operators                          |
| `#fabd2f` | ![](https://via.placeholder.com/15/fabd2f/000000?text=+) | Types, classes, namespaces, components, tags |
| `#b8bb26` | ![](https://via.placeholder.com/15/b8bb26/000000?text=+) | Functions, methods                           |
| `#8ec07c` | ![](https://via.placeholder.com/15/8ec07c/000000?text=+) | Values, language constants                   |
| `#a89984` | ![](https://via.placeholder.com/15/a89984/000000?text=+) | Punctuation                                  |
| `#928374` | ![](https://via.placeholder.com/15/928374/000000?text=+) | Comments, documentation                      |
| `#282828` | ![](https://via.placeholder.com/15/282828/000000?text=+) | Background color                             |

For edge cases in languages where these may not apply, the color deemed most appropriate has been chosen. This can always be overridden under `editor.tokenColorCustomizations` in VSCode's `settings.json`, or `Preferences -> Editor -> Color Scheme` in JetBrains IDEs.

## Credits

- [morhetz/gruvbox](https://github.com/morhetz/gruvbox) for the original color scheme
  - _Copyright (c) 2017 Pavel Pertsev, [MIT/X11 license](https://github.com/morhetz/gruvbox#license)_
- [jdinhify/vscode-theme-gruvbox](https://github.com/jdinhify/vscode-theme-gruvbox) for the base VSCode UI theme
  - _Copyright (c) 2017 JD, [MIT license](https://github.com/jdinhify/vscode-theme-gruvbox/blob/main/LICENSE)_
- [Vincent-P/gruvbox-intellij-theme](https://github.com/Vincent-P/gruvbox-intellij-theme) for the base JetBrains UI theme
  - _Copyright (c) 2019 Vincent Parizet, [MIT license](https://github.com/Vincent-P/gruvbox-intellij-theme/blob/master/LICENSE)_
